api_v2_services_instances_retrieve
GET
/api/v2/services/instances/{service_id}/detail/
const url = 'https://example.com/api/v2/services/instances/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/detail/';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v2/services/instances/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/detail/ \ --header 'X-API-Key: <X-API-Key>'Get full service/VM detail: status, plan, location, access info, and the lifecycle actions currently available.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”service_id
required
string format: uuid
Responses
Section titled “Responses”Media typeapplication/json
object
success
required
boolean
data
meta
object
page
integer
size
integer
total
integer
active_total
integer
total_pages
integer
has_next
boolean
has_prev
boolean
sort_by
string
sort_dir
string
msg
object
msg_kind
string
msg_text
string
error
string
pagination
object
count
integer
next
string
previous
string
Example generated
{ "success": true, "data": "example", "meta": { "page": 1, "size": 1, "total": 1, "active_total": 1, "total_pages": 1, "has_next": true, "has_prev": true, "sort_by": "example", "sort_dir": "example" }, "msg": { "msg_kind": "example", "msg_text": "example" }, "error": "example", "pagination": { "count": 1, "next": "example", "previous": "example" }}Media typeapplication/json
object
success
required
boolean
data
meta
object
page
integer
size
integer
total
integer
active_total
integer
total_pages
integer
has_next
boolean
has_prev
boolean
sort_by
string
sort_dir
string
msg
object
msg_kind
string
msg_text
string
error
string
pagination
object
count
integer
next
string
previous
string
Example generated
{ "success": true, "data": "example", "meta": { "page": 1, "size": 1, "total": 1, "active_total": 1, "total_pages": 1, "has_next": true, "has_prev": true, "sort_by": "example", "sort_dir": "example" }, "msg": { "msg_kind": "example", "msg_text": "example" }, "error": "example", "pagination": { "count": 1, "next": "example", "previous": "example" }}